Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#19614 - [gksu] isn't working

Attached to Project: Arch Linux
Opened by (Krizoman) - Thursday, 27 May 2010, 19:20 GMT
Last edited by Jan de Groot (JGC) - Tuesday, 14 September 2010, 09:37 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan de Groot (JGC)
Ionut Biru (wonder)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

That's what I get after trying to use gksu... I write password (correct, my own, but I set up all priveleges for my user), but it doesn't work...

[krizoman@coldy ~]$ gksu nautilus
sudo: sorry, a password is required to run sudo


libgksu → 2.0.12-2 (from yesterday)
gksu → 2.0.2-2
This task depends upon

Closed by  Jan de Groot (JGC)
Tuesday, 14 September 2010, 09:37 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fuixed in libgksu-2.0.12-3.
Comment by Thomas Dziedzic (tomd123) - Friday, 28 May 2010, 21:58 GMT
Please repost your sudoers file (it's empty)
Comment by (Krizoman) - Saturday, 29 May 2010, 17:15 GMT
Oh, I haven't noticed that. Now it should be OK...
Comment by Thomas Dziedzic (tomd123) - Saturday, 05 June 2010, 16:11 GMT
Works over here.

are you in wheel?
Comment by (Krizoman) - Saturday, 05 June 2010, 19:52 GMT
Yes, I'm, but group wheel hasn't got administrator priveleges.
Comment by Steven (Stebalien) - Wednesday, 07 July 2010, 07:15 GMT
1. Did the latest update (1.7.3-1) fix your problem; it fixed some tty related problems (tty_tickets etc.)?
2. Does sudo (the cli command) work?
3. Does gksu work if you use it in su mode (run gksu-properties and change the mode)?
Comment by (Krizoman) - Wednesday, 07 July 2010, 10:27 GMT
1. No, it's still the same.
2. Yes, of course.
3. No, I doesn't work in any.
Comment by kujub (kujub) - Wednesday, 07 July 2010, 10:44 GMT
For me gksu sudo mode doesn't work either with libgksu 2.0.12. I have /apps/gksu/sudo-mode = true in gconf. The problem is gksu asks for the root password instead of the users. Downgrading libgksu to 2.0.8 or building 2.0.10 solved it for me.
edit: gksu also downgraded to 2.0.2-1 of course.
Comment by (Krizoman) - Thursday, 08 July 2010, 14:28 GMT
Could you write, how I should do it?

Can anyone report this bug to gksu authors?
Comment by Ionut Biru (wonder) - Thursday, 08 July 2010, 14:32 GMT
gksu is kinda deprecated
http://www.nongnu.org/gksu/index.html

gksu is being replaced by gksu PolicyKit, please take a look at http://live.gnome.org/gksu.
Comment by (Krizoman) - Monday, 19 July 2010, 13:17 GMT
How can I use gksu PolicyKit?
Comment by Gert (naguz) - Friday, 20 August 2010, 20:50 GMT
Kurt: Why not just run gksudo command if you wish to use gksudo instead of gksu?
It works very well with the current packages in repo, provided you use the new sudoers.pacnew file (replace the old one, and edit the new one to your liking). Still, strange that this is needed.

Bah, I hate PolicyKit, it is about as much fun as SElinux. :/

It will soon be to much of a hassle to setup anything yourself without spending much more time on it than I (and most other people) like.
Comment by kujub (kujub) - Friday, 20 August 2010, 22:39 GMT
Tried with sudo-1.7.4.p2-1 libgksu-2.0.12-2 gksu-2.0.2-2 - gksudo now accepts my password but still does not run the command.
output of gksudo --debug terminal :
No ask_pass set, using default!
xauth: /tmp/libgksu-mw0Zy0/.Xauthority
STARTUP_ID: gksudo/terminal/27294-0-Microstar_TIME0
cmd[0]: /usr/bin/sudo
cmd[1]: -H
cmd[2]: -S
cmd[3]: -n
cmd[4]: -p
cmd[5]: GNOME_SUDO_PASS
cmd[6]: -u
cmd[7]: root
cmd[8]: --
cmd[9]: terminal
buffer: -GNOME_SUDO_PASS-
brute force GNOME_SUDO_PASS ended...
Yeah, we're in...
xauth: /tmp/libgksu-mw0Zy0/.Xauthority
xauth_env: /home/kurt/.Xauthority
dir: /tmp/libgksu-mw0Zy0
sudo: sorry, a password is required to run sudo

Obviously that can not work because of the -n switch. So this is clearly a bug in how sudo is called IMHO. After downgrading to gksu 2.0.2-1 and libgksu 2.0.8-1 it works and i get this output:
No ask_pass set, using default!
xauth: /tmp/libgksu-HDWsqD/.Xauthority
STARTUP_ID: gksudo/terminal/7018-0-Microstar_TIME3066389824
cmd[0]: /usr/bin/sudo
cmd[1]: -H
cmd[2]: -S
cmd[3]: -p
cmd[4]: GNOME_SUDO_PASS
cmd[5]: -u
cmd[6]: root
cmd[7]: --
cmd[8]: terminal
buffer: -GNOME_SUDO_PASSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS-
brute force GNOME_SUDO_PASS ended...
Yeah, we're in...
xauth: /tmp/libgksu-HDWsqD/.Xauthority
xauth_env: /home/kurt/.Xauthority
dir: /tmp/libgksu-HDWsqD

With my libgksu 2.0.10 package it works too and i get a similar output without the -n switch.
edit: make this a bit shorter
Comment by kujub (kujub) - Saturday, 21 August 2010, 10:18 GMT
Meanwhile i found this in the gentoo bug tracker: http://bugs.gentoo.org/show_bug.cgi?id=290733
They use 01_revert_forkpty.patch from debian to solve this. With the patch applied libgksu 2.0.12 works again as expected here.
Comment by bryan hunt (irishjava) - Friday, 27 August 2010, 17:54 GMT
Hi there, I've applied the patch from gentoo, and modified the (attached) PKGBUILD for extra/libgksu .

I'm a bit new to arch so don't know how to submit my source package.

Can someone give this to the package maintainer or point me in the right direction to get it included in the next updates?
   PKGBUILD (1.2 KiB)
Comment by bryan hunt (irishjava) - Friday, 27 August 2010, 17:55 GMT
Oh yeah, and I tested it. It works on my system (famous last words).
Comment by Doug Penner (DarwinSurvivor) - Friday, 03 September 2010, 11:13 GMT
@Gert (naguz)
On my system gksudo is simply a symlink to gksu (I did not do that, it already was). Is there another package that supplies just gksudo?
Comment by Steven (Stebalien) - Friday, 03 September 2010, 13:25 GMT
@Doug Penner (DarwinSurvivor)
They are the same program. Run gksu-properties to choose whether it uses sudo or su by default.
Comment by Gert (naguz) - Sunday, 05 September 2010, 20:09 GMT
Indeed they seem to be the same program and gksudo is symlinked to gksu. However, running gksu asks for my root password, while gksudo asks for my password (like sudo). Strange indeed. I assume it is supposed to be this way, though - makes sense to me.

Anyway,it works here after the latest upgrade, hope it isn't a one-time thing this time!
Comment by Kevin (anonymous_user) - Sunday, 05 September 2010, 20:10 GMT
You mean the update for sudo? I just got it and it worked...just one time. So it doesn't seem fixed yet.

Loading...